{ config, lib, ... }:

{
  services.prometheus.exporters.node = {
    enable = true;
    listenAddress = "localhost";
  };

  services.prometheus.scrapeConfigs = [
    {
      job_name = "node-exporter";
      static_configs = [{
        targets = [ "localhost:${builtins.toString config.services.prometheus.exporters.node.port}"];
      }];
    }
  ];
}
